Bug 98012 - [IVB] Segfault when running Dolphin twice with Vulkan
Summary: [IVB] Segfault when running Dolphin twice with Vulkan
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/intel (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-02 08:07 UTC by Link Mauve
Modified: 2016-11-03 01:54 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Backtrace from gdb (2.23 KB, text/plain)
2016-10-02 08:07 UTC, Link Mauve
Details
End of a Valgrind trace of a Dolphin process, stopped with ^C (19.77 KB, application/x-xz)
2016-10-05 20:52 UTC, Link Mauve
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Link Mauve 2016-10-02 08:07:23 UTC
Created attachment 126950 [details]
Backtrace from gdb

Versions:
Mesa 12.1.0_devel.85162.8d3e27c-1
Linux 4.7.5-1
Dolphin 5.0.r753.4eeb158-1
on an up to date ArchLinux

Steps to reproduce:
- Set Dolphin to use its Vulkan backend.
- Play any game.
- Exit Dolphin.
- Start Dolphin again, when starting a game it will crash with this backtrace.
Comment 1 Link Mauve 2016-10-05 20:52:53 UTC
Created attachment 127038 [details]
End of a Valgrind trace of a Dolphin process, stopped with ^C
Comment 2 Link Mauve 2016-11-02 01:51:23 UTC
This problem actually occurs only when Dolphin is using its shader/pipeline cache.  Whenever I nuke my $XDG_CACHE_HOME/dolphin-emu/Shaders I’ll be able to run the game just fine.
Comment 3 Jason Ekstrand 2016-11-02 03:11:56 UTC
I just came across a similar looking issue in the pipeline cache today.  I just sent 4 patches to the list to fix it.  You can find it all in this branch:

https://cgit.freedesktop.org/~jekstrand/mesa/log/?h=wip/anv-cache-prog-param

Mind test it out?
Comment 4 Jason Ekstrand 2016-11-03 01:54:33 UTC
This is fixed by the following commit:

commit 71cc1e188d52bebe86a1ac72fe90f4e2a7e76778
Author: Jason Ekstrand <jason.ekstrand@intel.com>
Date:   Tue Nov 1 15:10:29 2016 -0700

    anv/pipeline: Properly cache prog_data::param
    
    Before we were caching the prog data but we weren't doing anything with
    brw_stage_prog_data::param so anything with push constants wasn't getting
    cached properly.  This commit fixes that.
    
    Signed-off-by: Jason Ekstrand <jason@jlekstrand.net>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=98012
    Reviewed-by: Timothy Arceri <timothy.arceri@collabora.com>
    Cc: "13.0" <mesa-stable@lists.freedesktop.org>
Comment 5 Jason Ekstrand 2016-11-03 01:54:50 UTC
Link Mauve confirmed on IRC.


bug/show.html.tmpl processed on Jan 17, 2017 at 08:46:56.
(provided by the Example extension).